## fdroidserver 1.0.9

=== docker/Makefile ===
SHELL := /bin/bash
ALIAS = "dscanner"
EXISTS := $(shell docker ps -a -q -f name=$(ALIAS))
RUNNED := $(shell docker ps -q -f name=$(ALIAS))
ifneq "$(RUNNED)" ""
IP := $(shell docker inspect $(ALIAS) | grep "IPAddress\"" | head -n1 | cut -d '"' -f 4)
endif
STALE_IMAGES := $(shell docker images | grep "<none>" | awk '{print($$3)}')
EMULATOR ?= "android-19"
ARCH ?= "armeabi-v7a"

COLON := :

.PHONY = build clean kill info

all: help

help:
	@echo "usage: make {help|build|clean|kill|info}"
	@echo ""
	@echo "  help    this help screen"
	@echo "  build   create docker image"
	@echo "  clean   remove images and containers"
	@echo "  kill    stop running containers"
	@echo "  info    details of running container"

build:
	@docker build -t "dscanner/fdroidserver:latest" .

clean: kill
	@docker ps -a -q | xargs -n 1 -I {} docker rm -f {}
ifneq "$(STALE_IMAGES)" ""
	@docker rmi -f $(STALE_IMAGES)
endif

kill:
ifneq "$(RUNNED)" ""
	@docker kill $(ALIAS)
endif

info:
	@docker ps -a -f name=$(ALIAS)
ifneq "$(RUNNED)" ""
	$(eval ADBPORT := $(shell docker port $(ALIAS) | grep '5555/tcp' | awk '{split($$3,a,"$(COLON)");print a[2]}'))
	@echo -e "Use:\n adb kill-server\n adb connect $(IP):$(ADBPORT)"
else
	@echo "Run container"
endif

=== locale/Makefile ===

FILES = ../fdroid $(wildcard ../fdroidserver/*.py) \
	$(wildcard /usr/lib/python3.*/argparse.py) \
	$(wildcard /usr/lib/python3.*/optparse.py) \
	$(wildcard /usr/lib/python3.*/getopt.py)

# these are the supported languages
ALL_LINGUAS = de es pt_BR pt_PT tr zh_Hans zh_Hant
POFILES = $(wildcard */LC_MESSAGES/fdroidserver.po)
MOFILES = $(ALL_LINGUAS:=/LC_MESSAGES/fdroidserver.mo)

TEMPLATE = fdroidserver.pot

VERSION = $(shell git describe)

# refresh everything from the source code
update: $(POFILES)

# generate .mo files from the .po files
compile: $(MOFILES)

clean:
	-rm -f -- $(MOFILES)
	-rm -f -- $(POFILES:=~)

$(TEMPLATE): $(FILES)
	xgettext --join-existing --from-code=UTF-8 \
		--language=Python --keyword=_ \
		--no-wrap --sort-output --add-location=file --output=$(TEMPLATE) \
		--package-name="fdroidserver" --package-version=$(VERSION) \
		--foreign-user \
		--msgid-bugs-address=https://gitlab.com/fdroid/fdroidserver/issues \
		$(FILES)
	sed -i 's,CHARSET,UTF-8,' $(TEMPLATE)

%.po: $(TEMPLATE)
	msgmerge --no-wrap --sort-output --add-location=file --update $@ $(TEMPLATE)

%/LC_MESSAGES/fdroidserver.mo: %/LC_MESSAGES/fdroidserver.po
	msgfmt --check -o $@ $(@:mo=po)


.PHONY = compile clean update

## fdroidserver 0.2

=== debian/changelog ===
fdroidserver (0.2-1) unstable; urgency=low

  * new upstream release
  * Recommend: opensc since fdroidserver supports HSMs now
  * hard-code the path to keytool and jarsigner to force Java 7 versions

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 27 Jun 2014 16:30:14 -0400

fdroidserver (0.1-2) unstable; urgency=low

  * include upstream commits as patches to fix bug with 'mvn3'

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 18 Feb 2014 21:04:26 -0500

fdroidserver (0.1-1) unstable; urgency=low

  * updated upstream to v0.1 release
  * promoted to unstable

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 12 Feb 2014 22:52:56 -0500

fdroidserver (0.0+git20131105-1) experimental; urgency=low

  * updated upstream to get new 'fdroid init' command
  * fixed missing getsig for 'fdroid update'
  * Recommends: Java since some functions rely on keytool and jarsigner

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 05 Nov 2013 13:34:31 -0500

fdroidserver (0.0+git20131025-1) experimental; urgency=low

  * Initial release (Closes: #727716)

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 25 Oct 2013 15:13:50 -0400

=== debian/control ===
Source: fdroidserver
Section: python
Priority: optional
Maintainer: Hans-Christoph Steiner <hans@eds.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               python (>= 2.6.6-3~),
               python-setuptools,
               texlive,
               texinfo,
               default-jdk
Standards-Version: 3.9.5
Homepage: https://f-droid.org
Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/fdroidserver.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/fdroidserver.git

Package: fdroidserver
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends}
Recommends: default-jre,
            default-jdk,
            opensc,
            rsync,
            wget
Suggests: bzr,
          git,
          gradle,
          maven,
          mercurial,
          php5,
          ruby,
          subversion,
          vagrant,
          virtualbox
X-Python-Version: >= 2.7
Description: F-Droid build server and repository tools for Android
 F-Droid is an installable catalogue of FOSS (Free and Open Source Software)
 applications for the Android platform. The client makes it easy to browse,
 install, and keep track of updates on your device.
 .
 The F-Droid server tools provide various scripts and tools that are used to
 maintain the main F-Droid application repository. You can use these same
 tools to create your own additional or alternative repository for publishing,
 or to assist in creating, testing and submitting metadata to the main
 repository.

## fdroidserver 0.2.1

=== debian/changelog ===
fdroidserver (0.2.1-2~bpo70+1) wheezy-backports; urgency=low

  * backport to wheezy

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 18 Sep 2014 14:01:46 -0400

fdroidserver (0.2.1-2) unstable; urgency=low

  * fix signing process on non-amd64 platforms (Closes: #761268)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 26 Aug 2014 16:30:12 -0400

fdroidserver (0.2.1-1) unstable; urgency=low

  * new upstream release

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 12 Aug 2014 15:52:13 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: fdroidserver
 Section: python
-Priority: optional
+Priority: extra
 Maintainer: Hans-Christoph Steiner <hans@eds.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
@@ -18,8 +18,8 @@
 Architecture: all
 Depends: ${python:Depends},
          ${misc:Depends}
-Recommends: default-jre,
-            default-jdk,
+Recommends: openjdk-7-jre-headless,
+            openjdk-7-jdk,
             opensc,
             rsync,
             wget

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

MAKEFILE = $(firstword $(MAKEFILE_LIST))
DEBIAN_DIR = $(dir $(MAKEFILE))

%:
	dh $@ --with python2

override_dh_auto_build:
	cd fdroidserver/getsig && javac getsig.java
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -f fdroidserver/getsig/getsig.class
	rm -rf fdroidserver.egg-info/
	cd docs/ && \
		rm -f fdroid.cps fdroid.ky fdroid.vr fdroid.aux fdroid.fn fdroid.log \
			fdroid.toc fdroid.cp  fdroid.info fdroid.pg fdroid.tp
	cd docs/ && rm -rf html/

override_dh_compress:
	dh_compress -X usr/share/doc/fdroidserver/examples

override_dh_install:
	dh_install
	install -d debian/fdroidserver/usr/share/pyshared/fdroidserver/getsig
	install -m644 fdroidserver/getsig/getsig.class \
		debian/fdroidserver/usr/share/pyshared/fdroidserver/getsig
	install -d debian/fdroidserver/etc/bash_completion.d/
	install completion/bash-completion \
		debian/fdroidserver/etc/bash_completion.d/fdroid

override_dh_installdocs:
	cd docs/ && \
		./gendocs.sh -o html --email admin@f-droid.org fdroid "F-Droid Server Manual"
	rm -f docs/html/fdroid.html.gz
	dh_installdocs

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://pypi.python.org/packages/source/f/fdroidserver/fdroidserver-(.*).tar.gz

## fdroidserver 0.4.0

=== debian/changelog ===
fdroidserver (0.4.0-1) unstable; urgency=low

  * update to latest upstream release

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 06 Aug 2015 00:09:48 +0200

fdroidserver (0.3.0-1) unstable; urgency=low

  * update to latest upstream version (Closes: #774265)

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 23 Jul 2015 19:29:42 -0700

fdroidserver (0.2.1-4) unstable; urgency=medium

  * Recommend android-tools-adb, aapt, zipalign to provide essential utilities
  * include upstream commits that allow use of system-provided SDK utilities
    (Closes: #769912)

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 14 Dec 2014 20:22:07 +0100

fdroidserver (0.2.1-3) unstable; urgency=low

  * fix local sync perms

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 09 Oct 2014 21:42:09 -0400

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,25 @@
                python (>= 2.6.6-3~),
                python-setuptools,
                texlive,
-               texinfo,
-               default-jdk
-Standards-Version: 3.9.5
+               texinfo
+Standards-Version: 3.9.6
 Homepage: https://f-droid.org
-Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/fdroidserver.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/fdroidserver.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/fdroidserver.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fdroidserver.git
 
 Package: fdroidserver
 Architecture: all
 Depends: ${python:Depends},
+         python-magic,
          ${misc:Depends}
-Recommends: openjdk-7-jre-headless,
+Recommends: android-tools-adb,
+            aapt,
+            openjdk-7-jre-headless,
             openjdk-7-jdk,
             opensc,
             rsync,
-            wget
+            wget,
+            zipalign
 Suggests: bzr,
           git,
           gradle,

## fdroidserver 0.6.0

=== debian/changelog ===
fdroidserver (0.6.0-2) unstable; urgency=medium

  * make metadata exceptions optional based on CLI flag
  * update debian/copyright

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 18 Feb 2016 14:57:13 +0100

fdroidserver (0.6.0-1) unstable; urgency=medium

  * New upstream release (Closes: #803501)

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 18 Feb 2016 12:09:42 +0100

fdroidserver (0.4.0-2) unstable; urgency=low

  * switch to default-jdk since it is now Java 7 or newer (Closes: #801510)

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 19 Oct 2015 11:33:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: fdroidserver
-Section: python
+Section: devel
 Priority: extra
 Maintainer: Hans-Christoph Steiner <hans@eds.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9.0~),
                python (>= 2.6.6-3~),
                python-setuptools,
                texlive,
@@ -16,18 +16,16 @@
 Package: fdroidserver
 Architecture: all
 Depends: ${python:Depends},
+         default-jdk | openjdk-7-jdk | oracle-java7-jdk | oracle-java8-jdk | oracle-java9-jdk | oracle-java7-installer | oracle-java8-installer | oracle-java9-installer,
          python-magic,
+         rsync,
          ${misc:Depends}
-Recommends: android-tools-adb,
+Recommends: adb,
             aapt,
-            openjdk-7-jre-headless,
-            openjdk-7-jdk,
+            git,
             opensc,
-            rsync,
-            wget,
             zipalign
 Suggests: bzr,
-          git,
           gradle,
           maven,
           mercurial,
@@ -35,6 +33,7 @@
           ruby,
           subversion,
           vagrant,
+          vagrant-cachier,
           virtualbox
 X-Python-Version: >= 2.7
 Description: F-Droid build server and repository tools for Android

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

MAKEFILE = $(firstword $(MAKEFILE_LIST))
DEBIAN_DIR = $(dir $(MAKEFILE))

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -rf fdroidserver.egg-info/
	cd docs/ && \
		rm -f fdroid.cps fdroid.ky fdroid.vr fdroid.aux fdroid.fn fdroid.log \
			fdroid.toc fdroid.cp  fdroid.info fdroid.pg fdroid.tp
	cd docs/ && rm -rf html/

override_dh_compress:
	dh_compress -X usr/share/doc/fdroidserver/examples

override_dh_installdocs:
	cd docs/ && \
		./gendocs.sh -o html --email admin@f-droid.org fdroid "F-Droid Server Manual"
	rm -f docs/html/fdroid.html.gz
	dh_installdocs

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/fdroidserver/fdroidserver-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## fdroidserver 0.7.0

=== debian/changelog ===
fdroidserver (0.7.0-2) unstable; urgency=medium

  * make sure bash-completion is installed (Closes: #856352)
  * prefer headless JDK when available (Closes: #855978)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 28 Feb 2017 13:04:38 +0100

fdroidserver (0.7.0-1) unstable; urgency=medium

  * New upstream release (Closes: #835463)

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 12 Sep 2016 11:58:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,22 @@
 Maintainer: Hans-Christoph Steiner <hans@eds.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9.0~),
-               python (>= 2.6.6-3~),
-               python-setuptools,
+               bash-completion,
+               dh-python,
+               python3,
+               python3-setuptools,
                texlive,
                texinfo
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
+X-Python3-Version: >= 3.2
 Homepage: https://f-droid.org
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/fdroidserver.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fdroidserver.git
 
 Package: fdroidserver
 Architecture: all
-Depends: ${python:Depends},
-         default-jdk | openjdk-7-jdk | oracle-java7-jdk | oracle-java8-jdk | oracle-java9-jdk | oracle-java7-installer | oracle-java8-installer | oracle-java9-installer,
-         python-magic,
+Depends: ${python3:Depends},
+         default-jdk-headless | default-jdk | openjdk-7-jdk | oracle-java7-jdk | oracle-java8-jdk | oracle-java9-jdk | oracle-java7-installer | oracle-java8-installer | oracle-java9-installer,
          rsync,
          ${misc:Depends}
 Recommends: adb,
@@ -34,8 +36,8 @@
           subversion,
           vagrant,
           vagrant-cachier,
+          vagrant-libvirt,
           virtualbox
-X-Python-Version: >= 2.7
 Description: F-Droid build server and repository tools for Android
  F-Droid is an installable catalogue of FOSS (Free and Open Source Software)
  applications for the Android platform. The client makes it easy to browse,

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DEBIAN_DIR = $(dir $(MAKEFILE))
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -23,3 +23,8 @@
 		./gendocs.sh -o html --email admin@f-droid.org fdroid "F-Droid Server Manual"
 	rm -f docs/html/fdroid.html.gz
 	dh_installdocs
+
+override_dh_auto_install:
+	dh_bash-completion
+	dh_auto_install
+	sed -i '/^#!\/bin\/bash/d' debian/fdroidserver/usr/share/bash-completion/completions/fdroid

## fdroidserver 1.0.2

=== debian/changelog ===
fdroidserver (1.0.2-1) unstable; urgency=medium

  * New upstream version

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 22 Feb 2018 21:38:07 +0100

fdroidserver (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 03 Jan 2018 21:27:18 +0100

fdroidserver (0.9.1-1) unstable; urgency=medium

  * New upstream release

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 27 Nov 2017 17:01:46 +0100

fdroidserver (0.8-1) unstable; urgency=medium

  * New upstream release

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 31 Jul 2017 16:29:34 -0700

=== debian/control ===
Source: fdroidserver
Section: devel
Priority: optional
Maintainer: Hans-Christoph Steiner <hans@eds.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9.0~),
               bash-completion,
               dh-python,
               python3,
               python3-babel,
               python3-setuptools,
Standards-Version: 4.1.3
X-Python3-Version: >= 3.4
Testsuite: autopkgtest-pkg-python
Homepage: https://f-droid.org
Vcs-Git: https://salsa.debian.org/debian/fdroidserver.git
Vcs-Browser: https://salsa.debian.org/debian/fdroidserver

Package: fdroidserver
Architecture: all
Depends: ${python3:Depends},
         aapt,
         androguard (>= 3.1.0~rc2),
         android-platform-tools-base,
         default-jdk-headless | default-jdk | openjdk-7-jdk | oracle-java7-jdk | oracle-java8-jdk | oracle-java9-jdk | oracle-java7-installer | oracle-java8-installer | oracle-java9-installer,
         python3-ruamel.yaml,
         rsync,
         zipalign,
         ${misc:Depends}
Recommends: git,
            gnupg,
            opensc,
            openssh-client,
            s3cmd,
Suggests: gradle,
          vagrant,
          vagrant-cachier,
          vagrant-libvirt,
          qemu-kvm
Description: F-Droid build server and repository tools for Android
 F-Droid is an installable catalogue of FOSS (Free and Open Source Software)
 applications for the Android platform. The client makes it easy to browse,
 install, and keep track of updates on your device.
 .
 The F-Droid server tools provide various scripts and tools that are used to
 maintain the main F-Droid application repository. You can use these same
 tools to create your own additional or alternative repository for publishing,
 or to assist in creating, testing and submitting metadata to the main
 repository.

## fdroidserver 1.0.9

=== debian/changelog ===
fdroidserver (1.0.9-1~18.04.1) bionic; urgency=medium

  * Backport from Cosmic. (LP: #1758196)
  * fix broken openjdk dependency (LP: #1763090)
  * fix missing Python distutils dependency (LP: #1762183)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 10 Jul 2018 21:12:38 +0200

fdroidserver (1.0.9-1) unstable; urgency=medium

  * New upstream version

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 19 Jul 2018 16:14:09 +0200

fdroidserver (1.0.8-3) unstable; urgency=medium

  * hack to get autopkgtest to skip failing gpg test

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 27 Jun 2018 21:03:54 +0200

fdroidserver (1.0.8-2) unstable; urgency=medium

  * autopkgtest: explicitly purge gnupg so tests pass

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 25 Jun 2018 23:28:06 +0200

fdroidserver (1.0.8-1) unstable; urgency=medium

  * New upstream version
  * remove python3-distutils, it is no longer needed

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 25 Jun 2018 13:12:21 +0200

fdroidserver (1.0.7-2) unstable; urgency=medium

  * Depends: python3-distutils so its always there

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 25 Jun 2018 13:12:19 +0200

fdroidserver (1.0.7-1) unstable; urgency=medium

  * New upstream release
  * fix autopkgtest

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 20 Jun 2018 22:27:59 +0200

fdroidserver (1.0.6-1) unstable; urgency=medium

  * New upstream release

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 25 May 2018 17:15:51 +0200

fdroidserver (1.0.4-3) unstable; urgency=medium

  * fix autopkgtest run: working dir, and UTF-8 environment

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 18 May 2018 10:54:26 +0200

fdroidserver (1.0.4-2) unstable; urgency=medium

  * run upstream testsuite using autopkgtest

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 17 May 2018 12:17:12 +0200

fdroidserver (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4
  * Standards-Version: 4.1.4 no changes
  * support all the Java 10 and 11 packages
  * works with only androguard, removed optional deps
  * add debian/upstream/metadata file
  * Depends: androguard only on arches where it works

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 15 May 2018 14:04:05 +0200

fdroidserver (1.0.3-2) unstable; urgency=medium

  * only depend on aapt/androguard/zipalign on arches where available

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 23 Mar 2018 13:01:27 +0100

fdroidserver (1.0.3-1) unstable; urgency=medium

  * New upstream version
  * tighten up Depends to install fewer packages

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 22 Mar 2018 23:25:49 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,7 @@
                python3,
                python3-babel,
                python3-setuptools,
-Standards-Version: 4.1.3
-X-Python3-Version: >= 3.4
-Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.1.4
 Homepage: https://f-droid.org
 Vcs-Git: https://salsa.debian.org/debian/fdroidserver.git
 Vcs-Browser: https://salsa.debian.org/debian/fdroidserver
@@ -19,19 +17,18 @@
 Package: fdroidserver
 Architecture: all
 Depends: ${python3:Depends},
-         aapt,
          androguard (>= 3.1.0~rc2),
-         android-platform-tools-base,
-         default-jdk-headless | default-jdk | openjdk-7-jdk | oracle-java7-jdk | oracle-java8-jdk | oracle-java9-jdk | oracle-java7-installer | oracle-java8-installer | oracle-java9-installer,
+         default-jdk-headless | default-jdk | openjdk-7-jdk | openjdk-8-jdk-headless | openjdk-9-jdk-headless | openjdk-10-jdk-headless | openjdk-11-jdk-headless | oracle-java7-jdk | oracle-java8-jdk | oracle-java9-jdk | oracle-java10-jdk | oracle-java11-jdk | oracle-java7-installer | oracle-java8-installer | oracle-java9-installer | oracle-java10-installer | oracle-java11-installer,
          python3-ruamel.yaml,
          rsync,
-         zipalign,
          ${misc:Depends}
-Recommends: git,
+Recommends: android-sdk,
+            git,
             gnupg,
             opensc,
             openssh-client,
             s3cmd,
+            zipalign,
 Suggests: gradle,
           vagrant,
           vagrant-cachier,

=== debian/tests/control ===
Restrictions: isolation-container, allow-stderr
Test-Command: echo Depends; export LANG=C.UTF-8 ANDROID_HOME=/usr/lib/android-sdk TRAVIS_OS_NAME=osx; fdroid=/usr/bin/fdroid ./tests/run-tests
Depends: @, python3-setuptools, git, zipalign,

Restrictions: isolation-container, needs-recommends, allow-stderr
Test-Command: echo Recommends; export LANG=C.UTF-8 ANDROID_HOME=/usr/lib/android-sdk TRAVIS_OS_NAME=osx; fdroid=/usr/bin/fdroid ./tests/run-tests
Depends: @, python3-setuptools,

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/fdroidserver/fdroidserver-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## fdroidserver 1.1.1

=== locale/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	$(wildcard /usr/lib/python3.*/getopt.py)
 
 # these are the supported languages
-ALL_LINGUAS = de es pt_BR pt_PT tr zh_Hans zh_Hant
+ALL_LINGUAS = bo de es fr hu it ko nb_NO pl pt_BR pt_PT ru tr uk zh_Hans zh_Hant
 POFILES = $(wildcard */LC_MESSAGES/fdroidserver.po)
 MOFILES = $(ALL_LINGUAS:=/LC_MESSAGES/fdroidserver.mo)
 
@@ -13,11 +13,17 @@
 
 VERSION = $(shell git describe)
 
+default:
+	@printf "Build the translation files using: ./setup.py compile_catalog\n\n"
+
+message:
+	@printf "\nYou probably want to use this instead: ./setup.py compile_catalog\n\n"
+
 # refresh everything from the source code
 update: $(POFILES)
 
 # generate .mo files from the .po files
-compile: $(MOFILES)
+compile: message $(MOFILES)
 
 clean:
 	-rm -f -- $(MOFILES)

=== debian/changelog ===
fdroidserver (1.1.1-1ubuntu1) disco; urgency=medium

  * Let all autopkg tests depends on aapt.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Mar 2019 16:44:25 +0100

fdroidserver (1.1.1-1) unstable; urgency=medium

  * New upstream release
  * Recommends: apksigner to support APK Signature v2 and v3

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 03 Feb 2019 22:29:39 +0100

fdroidserver (1.1-1) unstable; urgency=medium

  * New upstream release

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 28 Jan 2019 18:28:56 +0100

fdroidserver (1.0.10-1) unstable; urgency=medium

  * New upstream version

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 26 Sep 2018 13:55:59 +0200

=== debian/control ===
--- 
+++ 
@@ -18,16 +18,18 @@
 Architecture: all
 Depends: ${python3:Depends},
          androguard (>= 3.1.0~rc2),
-         default-jdk-headless | default-jdk | openjdk-7-jdk | openjdk-8-jdk-headless | openjdk-9-jdk-headless | openjdk-10-jdk-headless | openjdk-11-jdk-headless | oracle-java7-jdk | oracle-java8-jdk | oracle-java9-jdk | oracle-java10-jdk | oracle-java11-jdk | oracle-java7-installer | oracle-java8-installer | oracle-java9-installer | oracle-java10-installer | oracle-java11-installer,
+         default-jdk-headless | default-jdk | openjdk-7-jdk | openjdk-8-jdk-headless | openjdk-10-jdk-headless | openjdk-11-jdk-headless | oracle-java7-jdk | oracle-java8-jdk | oracle-java9-jdk | oracle-java10-jdk | oracle-java11-jdk | oracle-java12-jdk | oracle-java7-installer | oracle-java8-installer | oracle-java9-installer | oracle-java10-installer | oracle-java11-installer | oracle-java12-installer,
          python3-ruamel.yaml,
          rsync,
          ${misc:Depends}
 Recommends: android-sdk,
+            apksigner,
             git,
             gnupg,
             opensc,
             openssh-client,
             s3cmd,
+            wget,
             zipalign,
 Suggests: gradle,
           vagrant,

=== debian/tests/control ===
Restrictions: isolation-container, allow-stderr
Test-Command: echo Depends; export LANG=C.UTF-8 ANDROID_HOME=/usr/lib/android-sdk TRAVIS_OS_NAME=osx; fdroid=/usr/bin/fdroid ./tests/run-tests
Depends: @, aapt, python3-setuptools, git, zipalign,

Restrictions: isolation-container, needs-recommends, allow-stderr
Test-Command: echo Recommends; export LANG=C.UTF-8 ANDROID_HOME=/usr/lib/android-sdk TRAVIS_OS_NAME=osx; fdroid=/usr/bin/fdroid ./tests/run-tests
Depends: @, aapt, python3-setuptools,

## fdroidserver 1.1.4

=== debian/changelog ===
fdroidserver (1.1.4-1~deb10u1) buster; urgency=medium

  * New upstream release targeted for Debian/buster
  * remove upstreamed patches

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 26 Aug 2019 14:48:22 +0200

fdroidserver (1.1.3-3) unstable; urgency=medium

  * conditionally disable tests that can't work with apksigner

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 10 Jul 2019 14:40:01 +0200

fdroidserver (1.1.3-2) unstable; urgency=medium

  * fix Recommends test, MD5 test fails with apksigner present

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 04 Jul 2019 16:33:11 +0200

fdroidserver (1.1.3-1) unstable; urgency=medium

  * New upstream version 1.1.3 to fix test suite

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 03 Jul 2019 19:26:15 +0200

fdroidserver (1.1.2-1) unstable; urgency=medium

  * New upstream version 1.1.2 (Closes: #929905)

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 03 Jul 2019 11:55:23 +0200

## fdroidserver 1.1.6

=== debian/changelog ===
fdroidserver (1.1.6-1) unstable; urgency=medium

  * New upstream release targeted for Debian/buster

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 17 Dec 2019 14:54:02 +0100

fdroidserver (1.1.4-1) unstable; urgency=medium

  * New upstream release targeted for Debian/buster
  * remove upstreamed patches

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 15 Aug 2019 10:49:30 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3,
                python3-babel,
                python3-setuptools,
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://f-droid.org
 Vcs-Git: https://salsa.debian.org/debian/fdroidserver.git
 Vcs-Browser: https://salsa.debian.org/debian/fdroidserver

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

MAKEFILE = $(firstword $(MAKEFILE_LIST))
DEBIAN_DIR = $(dir $(MAKEFILE))

export LC_ALL = C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_compress:
	dh_compress -X usr/share/doc/fdroidserver/examples

override_dh_auto_install:
	dh_bash-completion
	dh_auto_install

=== debian/tests/control ===
--- 
+++ 
@@ -4,4 +4,4 @@
 
 Restrictions: isolation-container, needs-recommends, allow-stderr
 Test-Command: echo Recommends; export LANG=C.UTF-8 ANDROID_HOME=/usr/lib/android-sdk TRAVIS_OS_NAME=osx; fdroid=/usr/bin/fdroid ./tests/run-tests
-Depends: @, aapt, python3-setuptools,
+Depends: @, python3-setuptools,

## fdroidserver 1.1.7

=== debian/changelog ===
fdroidserver (1.1.7-1~deb10u1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 17 May 2020 22:51:21 +0200

fdroidserver (1.1.7-1~deb10u1) buster; urgency=medium

  * New upstream release targeted for Debian/buster (Closes: #954070)
  * Remove "Recommends" test, ci.debian.net do not support binfmt_misc:
    https://salsa.debian.org/ci-team/debian-ci-config/-/issues/1

 -- Hans-Christoph Steiner <hans@eds.org>  Sat, 16 May 2020 22:15:14 +0200

fdroidserver (1.1.6-4) unstable; urgency=medium

  * fix running Recommends: test in containers

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 13 May 2020 20:13:06 +0200

fdroidserver (1.1.6-3) unstable; urgency=medium

  * only run Recommends: test in VM, not base test

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 12 May 2020 11:57:26 +0200

fdroidserver (1.1.6-2) unstable; urgency=medium

  * fix autopkgtest: run in VM so binfmt can be properly setup (Closes: #954395)

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 11 May 2020 21:55:14 +0200

## fdroidserver 1.1.9

=== debian/changelog ===
fdroidserver (1.1.9-1) unstable; urgency=medium

  * New upstream version with more fixes for (Closes: #954070)

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 24 Jun 2020 21:57:08 +0200

fdroidserver (1.1.8-1) unstable; urgency=medium

  * New upstream version with more fixes for (Closes: #954070)

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 18 Jun 2020 08:14:23 +0200

fdroidserver (1.1.7-1) unstable; urgency=medium

  * New upstream version (Closes: #954070)
  * Remove "Recommends" test, ci.debian.net do not support binfmt_misc:
    https://salsa.debian.org/ci-team/debian-ci-config/-/issues/1

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 15 May 2020 09:37:56 +0200

## fdroidserver 2.0

=== debian/changelog ===
fdroidserver (2.0-1) unstable; urgency=medium

  * New upstream version 2.0

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 02 Feb 2021 13:28:22 +0100

fdroidserver (2.0~b1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0~b1

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 15 Jan 2021 17:22:34 +0100

fdroidserver (2.0~a5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository.
  * Remove obsolete field Contact from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.4.1, no changes needed.

  [ Louis-Philippe Véronneau ]
  * d/control: update the VCS links. (Closes: #946105)

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Jochen Sprickerhof ]
  * bump debhelper and policy versions (no changes)
  * Update build dependencies
  * Install gradlew-fdroid
  * Move to standard salsa-ci.yml
  * Drop aapt from test dependens
  * rebase patch
  * update d/copyright
  * Add R-R-R: no to d/control
  * Simplify JDK dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 07 Jan 2021 17:41:11 +0100

fdroidserver (1.1.10-1) unstable; urgency=medium

  * New upstream version

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 05 Oct 2020 14:27:20 +0200

## fdroidserver 2.0.3

=== debian/changelog ===
fdroidserver (2.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.3

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 01 Jul 2021 14:48:57 +0200

fdroidserver (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 09 Mar 2021 18:26:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,31 @@
 Section: devel
 Priority: optional
 Maintainer: Hans-Christoph Steiner <hans@eds.org>
-Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9.0~),
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Build-Depends: debhelper-compat (= 13),
                bash-completion,
-               dh-python,
+               dh-sequence-python3,
                python3,
                python3-babel,
                python3-setuptools,
-Standards-Version: 4.3.0
+               python3-git,
+               python3-pyasn1,
+               python3-pyasn1-modules,
+               python3-yaml,
+               python3-requests,
+               python3-pil,
+               python3-paramiko,
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://f-droid.org
-Vcs-Git: https://salsa.debian.org/debian/fdroidserver.git
-Vcs-Browser: https://salsa.debian.org/debian/fdroidserver
+Vcs-Git: https://salsa.debian.org/python-team/packages/fdroidserver.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/fdroidserver
 
 Package: fdroidserver
 Architecture: all
 Depends: ${python3:Depends},
          androguard (>= 3.1.0~rc2),
-         default-jdk-headless | default-jdk | openjdk-7-jdk | openjdk-8-jdk-headless | openjdk-10-jdk-headless | openjdk-11-jdk-headless | oracle-java7-jdk | oracle-java8-jdk | oracle-java9-jdk | oracle-java10-jdk | oracle-java11-jdk | oracle-java12-jdk | oracle-java7-installer | oracle-java8-installer | oracle-java9-installer | oracle-java10-installer | oracle-java11-installer | oracle-java12-installer,
+         default-jdk-headless | java-compiler,
          python3-ruamel.yaml,
          rsync,
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export LC_ALL = C.UTF-8
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_compress:
 	dh_compress -X usr/share/doc/fdroidserver/examples

=== debian/tests/control ===
Restrictions: isolation-container, allow-stderr
Test-Command: echo Depends; export LANG=C.UTF-8 ANDROID_HOME=/usr/lib/android-sdk TRAVIS_OS_NAME=osx; fdroid=/usr/bin/fdroid ./tests/run-tests
Depends: @, python3-setuptools, git, zipalign,

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/fdroidserver/fdroidserver-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## fdroidserver 2.1

=== debian/changelog ===
fdroidserver (2.1-1) unstable; urgency=medium

  * New upstream version

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 22 Feb 2022 23:24:00 +0100

fdroidserver (2.1~b0-1) unstable; urgency=medium

  * New upstream version

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 15 Feb 2022 21:10:43 +0100

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,15 @@
                dh-sequence-python3,
                python3,
                python3-babel,
-               python3-setuptools,
                python3-git,
+               python3-paramiko,
+               python3-pil,
                python3-pyasn1,
                python3-pyasn1-modules,
+               python3-qrcode,
+               python3-requests,
+               python3-setuptools,
                python3-yaml,
-               python3-requests,
-               python3-pil,
-               python3-paramiko,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://f-droid.org

=== debian/tests/control ===
Restrictions: isolation-container, allow-stderr
Test-Command: echo Depends; export LANG=C.UTF-8 ANDROID_HOME=/usr/lib/android-sdk TRAVIS_OS_NAME=osx; fdroid=/usr/bin/fdroid ./tests/run-tests
Depends: @, python3-setuptools, git, zipalign,

Tests: locales

## fdroidserver 2.1.2

=== debian/changelog ===
fdroidserver (2.1.2-1) unstable; urgency=medium

  * New upstream version

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 17 Nov 2022 11:58:14 +0100

fdroidserver (2.1.1-3) unstable; urgency=medium

  * Team upload.
  * Add patch for new git behaviour (Closes: #1023800)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 11 Nov 2022 19:17:55 +0100

fdroidserver (2.1.1-2) unstable; urgency=medium

  * Team upload.
  * Add patches for new JDK (Closes: #1023008)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 30 Oct 2022 00:38:09 +0200

fdroidserver (2.1.1-1) unstable; urgency=medium

  * New upstream version
  * dexdump is now used by `fdroid scanner`
  * apksigner is now a hard requirement to verify all APKs
  * remove CC-BY-SA-3 license, it is not relevant anymore

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 07 Sep 2022 08:38:31 +0200

fdroidserver (2.1-2) unstable; urgency=medium

  * fix localization tests for Python v3.10 (Closes: #1009755)
  * do not require python-vagrant (Closes: #986719)

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 17 Apr 2022 20:59:39 +0200

=== debian/control ===
--- 
+++ 
@@ -27,12 +27,13 @@
 Architecture: all
 Depends: ${python3:Depends},
          androguard (>= 3.1.0~rc2),
+         apksigner (>= 31),
          default-jdk-headless | java-compiler,
          python3-ruamel.yaml,
          rsync,
          ${misc:Depends}
 Recommends: android-sdk,
-            apksigner,
+            dexdump,
             git,
             gnupg,
             opensc,

=== debian/tests/control ===
Restrictions: allow-stderr
Test-Command: echo Depends; export LANG=C.UTF-8 ANDROID_HOME=/usr/lib/android-sdk TRAVIS_OS_NAME=osx; fdroid=/usr/bin/fdroid ./tests/run-tests
Depends: @, python3-setuptools, git, zipalign,

Restrictions: allow-stderr
Tests: locales

## fdroidserver 2.2.0

=== debian/changelog ===
fdroidserver (2.2.0-3) unstable; urgency=medium

  * Team upload.

  [ Hans-Christoph Steiner ]
  * Suggests: ipfs-cid

  [ Jochen Sprickerhof ]
  * Add upstream patches to fix autopktests
  * Switch to dh-sequence-bash-completion
  * Bump policy version (no changes)
  * Drop salsa-ci.yml

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 22 Feb 2023 14:25:14 +0100

fdroidserver (2.2.0-2) unstable; urgency=medium

  * fix java_paths test for non-amd64 arches

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 21 Feb 2023 11:14:10 +0100

fdroidserver (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 20 Feb 2023 11:00:48 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Hans-Christoph Steiner <hans@eds.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13),
-               bash-completion,
+               dh-sequence-bash-completion,
                dh-sequence-python3,
+               python3-ruamel.yaml,
                python3,
                python3-babel,
                python3-git,
@@ -17,7 +18,7 @@
                python3-requests,
                python3-setuptools,
                python3-yaml,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://f-droid.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/fdroidserver.git
@@ -42,6 +43,7 @@
             wget,
             zipalign,
 Suggests: gradle,
+          ipfs-cid,
           vagrant,
           vagrant-cachier,
           vagrant-libvirt,

=== debian/tests/control ===
Restrictions: allow-stderr
Test-Command: echo Depends; export LANG=C.UTF-8 ANDROID_HOME=/usr/lib/android-sdk TRAVIS_OS_NAME=osx; fdroid=/usr/bin/fdroid ./tests/run-tests
Depends: @,
         dexdump [amd64 arm64 armhf i386],
         git,
         zipalign [amd64 arm64 armel armhf i386 mips64el mipsel],
         python3-setuptools,

Restrictions: allow-stderr
Tests: locales

## fdroidserver 2.2.1

=== debian/changelog ===
fdroidserver (2.2.1-2) unstable; urgency=medium

  * Team upload.
  * Ignore autopkgtest on s390x due to #890593

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 26 Jan 2024 09:13:21 +0100

fdroidserver (2.2.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ Vladimir Petko <vladimir.petko@canonical.com> ]
  * debian/patches/image-alias-deprecation.patch:
    - cherry-pick upstream fix for new pillow 10.0.0
      (Closes: #1040629, LP: #2028117)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2023 08:54:25 +0200

fdroidserver (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1
  * fdroidserver no longer uses zipalign directly at all
  * fix donate link in upstream metadata

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 09 Mar 2023 15:11:34 +0100

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,6 @@
             openssh-client,
             s3cmd,
             wget,
-            zipalign,
 Suggests: gradle,
           ipfs-cid,
           vagrant,

=== debian/tests/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Depends: @,
          dexdump [amd64 arm64 armhf i386],
          git,
-         zipalign [amd64 arm64 armel armhf i386 mips64el mipsel],
          python3-setuptools,
+Architecture: !s390x
 
 Restrictions: allow-stderr
 Tests: locales

## fdroidserver 2.3~a1

=== debian/changelog ===
fdroidserver (2.3~a1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.3~a1
  * Suggests: sdkmanager, it is useful when working with APKs
  * biplist and pycountry are lightweight so should be Depends:
  * libcloud is only needed in pure Python installs, s3cmd is preferred

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 13 May 2024 10:51:57 +0200

fdroidserver (2.3~a0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.3~a0
  * Update d/copyright
  * Rebase patches
  * Update dependencies
  * Cleanup after build (Closes: #1044946)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 10 Apr 2024 17:54:23 +0200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-bash-completion,
                dh-sequence-python3,
-               python3-ruamel.yaml,
+               python3-ruamel.yaml <!nocheck>,
                python3,
+               python3-asn1crypto <!nocheck>,
                python3-babel,
-               python3-git,
-               python3-paramiko,
-               python3-pil,
-               python3-pyasn1,
-               python3-pyasn1-modules,
-               python3-qrcode,
-               python3-requests,
+               python3-defusedxml <!nocheck>,
+               python3-git <!nocheck>,
+               python3-paramiko <!nocheck>,
+               python3-pil <!nocheck>,
+               python3-qrcode <!nocheck>,
+               python3-requests <!nocheck>,
                python3-setuptools,
-               python3-yaml,
+               python3-yaml <!nocheck>,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://f-droid.org
@@ -30,8 +30,11 @@
          androguard (>= 3.1.0~rc2),
          apksigner (>= 31),
          default-jdk-headless | java-compiler,
+         python3-biplist,
+         python3-pycountry,
          python3-ruamel.yaml,
          rsync,
+         s3cmd,
          ${misc:Depends}
 Recommends: android-sdk,
             dexdump,
@@ -39,10 +42,10 @@
             gnupg,
             opensc,
             openssh-client,
-            s3cmd,
             wget,
 Suggests: gradle,
           ipfs-cid,
+          sdkmanager,
           vagrant,
           vagrant-cachier,
           vagrant-libvirt,

## fdroidserver 2.3~a2

=== debian/changelog ===
fdroidserver (2.3~a2-1) unstable; urgency=medium

  * Team upload.
  * sdkmanager is dep via setup.py, remove from Suggests:
  * document all patches
  * New upstream version 2.3a2

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 11 Sep 2024 10:16:04 +0200

=== debian/control ===
--- 
+++ 
@@ -45,7 +45,6 @@
             wget,
 Suggests: gradle,
           ipfs-cid,
-          sdkmanager,
           vagrant,
           vagrant-cachier,
           vagrant-libvirt,

## fdroidserver 2.3.1

=== debian/changelog ===
fdroidserver (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1 (Closes: #1084682)

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 25 Nov 2024 17:47:14 +0100

fdroidserver (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 21 Nov 2024 18:19:06 +0100

## fdroidserver 2.3.3

=== debian/changelog ===
fdroidserver (2.3.3-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 11 Dec 2024 14:35:49 +0100

fdroidserver (2.3.3-1) unstable; urgency=medium

  * New upstream version 2.3.3

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 11 Dec 2024 13:35:04 +0100

## fdroidserver 2.3.4

=== debian/changelog ===
fdroidserver (2.3.4-2ubuntu1) plucky; urgency=medium

  * d/p/0001-test_net-figure-out-the-proper-IP-protocol-for-local:
    Fix net test on CI systems (LP: #2095111)

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 16 Jan 2025 19:51:14 +0100

fdroidserver (2.3.4-2) unstable; urgency=medium

  * Skip net test that is flaky in CI systems

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 13 Dec 2024 07:53:49 +0100

fdroidserver (2.3.4-1) unstable; urgency=medium

  * New upstream version 2.3.4

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 12 Dec 2024 17:53:49 +0100
